Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 878662 - PRD35 - [RFE] Mechanism for adding additional fence agents to mgr [NEEDINFO]
Summary: PRD35 - [RFE] Mechanism for adding additional fence agents to mgr
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Eli Mesika
QA Contact: sefi litmanovich
URL:
Whiteboard: infra
Depends On: 1109796
Blocks: 1121487 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2012-11-20 21:42 UTC by Ian Pilcher
Modified: 2016-02-10 19:05 UTC (History)
17 users (show)

Fixed In Version: ovirt-engine-3.5.0_beta
Doc Type: Enhancement
Doc Text:
With this update, you can now set up custom fence agents for your Red Hat Enterprise Virtualization 3.5 environment. For more information, see https://access.redhat.com/articles/1238743.
Clone Of:
Environment:
Last Closed: 2015-02-11 17:50:50 UTC
oVirt Team: Infra
Target Upstream Version:
ylavi: needinfo? (ipilcher)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 28621 master MERGED core: [RFE] add support for custom fencing Never

Description Ian Pilcher 2012-11-20 21:42:08 UTC
There are a number of situations in which it is desirable to add additional fence agents to the manager.  For example,

* Testing/demoing RHEV with nested KVM (fence-virsh)
* Testing RHEV on a new hardware type

Currently, adding a new agent requires modifying (at least) the VdsFenceType and VdsFenceOptionMapping configuration settings in the database, which is both ugly and risky.  It would be useful to have a "supported" method for adding additional fence agents.

"Supported" == we support the method of adding the agents, not that we support the additional agents themselves.

Comment 1 Itamar Heim 2012-11-20 21:47:16 UTC
maybe what we did for custom properties is relevant here?
we just added another config for user defined.
here it would be CustomVdsFenceType, CustomVdsFenceOptionMapping
and all code paths would be concatanating these with the builtin ones.

Comment 7 Dave Sullivan 2013-09-17 21:21:54 UTC
So did this get bumped off 3.3?

Customer was after something like...

vdsFenceType=script
vdsFenceOptionMapping=/pathtoscripttoexecute/serialfence

the serialfence script would then execute the reset

We wouldn't provide the script per se, just the mechanism to align to an customer abstract script.

The workaround is to see if we can do this by making direct changes into the database.

The long term BZ is to provide an interface via RHEVM gui to allow users to add in a specified fencing mechnism, in this case an ad-hoc script path

I'm going to be testing the "unsupported" workaround mentioned at the top this week but wanted to check on target release for this bz in rhev

Comment 9 Ryan Hennessy 2013-10-01 16:31:33 UTC
So the customer would be ok with maintaining the scripts on each of the hosts.   This would not be the ideal situation but, as I understand it, that would be the easiest way to provide the service without having to change the current RHEV fencing methodology.

Comment 13 Eli Mesika 2014-06-16 12:10:34 UTC
Examples of how that worked prior to 3.5 in 3.5 can be found here:

http://www.ovirt.org/Custom_Fencing

comments to the tester
---------------------------

1) Have 2 Hosts A & B in the cluster, A with PM configured 
2) lets say that A is using apc_snmp for example
3) Copy on B:/usr/sbin/fence_apc_snmp to /usr/sbin/fence_custom
4) Follow instructions on http://www.ovirt.org/Custom_Fencing#oVirt_3.5 to add "custom" as custom fencing agent
5) Restart engine
6) Edit host A and change it to use "custom" as fence agent 
7) Click the TEST button and see that it works

Comment 14 sefi litmanovich 2014-08-25 12:41:43 UTC
Verified with ovirt-engine-3.5.0-0.0.master.20140821064931.gitb794d66.el6.noarch according to TCMS plan 14443.

Comment 18 errata-xmlrpc 2015-02-11 17:50:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.